Hlavní navigace

Názor ke zprávičce Canonical pracuje na podpoře zstd pro dpkg a apt od SlávekB - Sice na povýšení doporučují používat do-release-upgrade, ale ve...

  • 16. 3. 2018 12:57

    SlávekB (neregistrovaný) ---.axis.cz

    Sice na povýšení doporučují používat do-release-upgrade, ale ve finále to stejně skončí u dpkg. Takže je jedno, jestli se použije apt-get dist-upgrade, aptitude dist-upgrade, do-release-upgrade,... zkrátka, se stejně musí začít předem s podporou v dpkg.

    Aktualizace dpkg s backportem zstd pro starší distribuce je jistě vhodné a řekl bych jediné lehce schůdné řešení. Jak jsem zmiňoval v úvodu, ve standardním dpkg byla podpora nových kompresí přidána dlouho dopředu, než došlo k přepnutí výchozí == dobře zvládnuté, s rozmyslem. Jestli Ubuntu bude chtít tlačit na pilu rychleji, nic jiného než backport zstd a aktualizace dpkg do starších distribucí jim nezbude.